Bug 75951 - GLPlanet hangs linux with G400 when DRI is enabled
Summary: GLPlanet hangs linux with G400 when DRI is enabled
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: screensaver
TreeView+ depends on / blocked
 
Reported: 2002-10-15 08:10 UTC by Daniel Resare
Modified: 2007-04-18 16:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-04 16:28:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/XF86Config (3.12 KB, text/plain)
2002-11-04 09:16 UTC, Daniel Resare
no flags Details

Description Daniel Resare 2002-10-15 08:10:55 UTC
Description of Problem:

The screensaver GLPlanet hangs my linux box solidly after a few seconds (the
machine doesn't even answer to ping) when I have loaded the dri module in my
XF86Config

'grep VGA /proc/pci' reports

    VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 4).


Version-Release number of selected component (if applicable):
XFree86-4.2.0-72
xscreensaver-4.05-6
kernel-2.4.18-14

How Reproducible:
Always (or at least more than 95% of the time)

Steps to Reproduce:
1. Go to the screensaver control panel (in gnome)
2. Select the GLPlanet screensaver
3. Wait for a few seconds

Actual Results:
The screen freezes (sometimes the you can move the cursor, sometimes you can't)
and the whole system becomes inresponsive. The machine doesn't even answer to ping

Expected Results:
No hang/freeze :)

Additional Information:
Is there any way I can narrow down my report?

Comment 1 Mike A. Harris 2002-11-03 08:44:05 UTC
Attach your X server log and config file.  Also attach the output of:

cat /proc/version

Comment 2 Daniel Resare 2002-11-04 09:15:44 UTC
Wher do I find the X server log?

Anyway, I attach the XF86Config.

/proc/version reads:

Linux version 2.4.18-17.8.0 (bhcompile@daffy.perf.redhat.com) (gcc version 3.2
20020903 (Red Hat Linux 8.0 3.2-7)) #1 Tue Oct 8 13:51:08 EDT 2002

Comment 3 Daniel Resare 2002-11-04 09:16:35 UTC
Created attachment 83464 [details]
/etc/X11/XF86Config

Comment 4 Mike A. Harris 2002-11-07 12:46:08 UTC
/var/log/XFree86.0.log

BTW, you could have looked around a bit for this.

Comment 5 Mike A. Harris 2002-11-07 12:49:00 UTC
Similar to bug #73827

Comment 6 Daniel Resare 2003-01-04 16:28:36 UTC
I had the oppertunity to test around a bit with different motherboards and
processors at a friend, and this problem could only be reproduced with the
particular motherboard/processor/graphics card combo that I happen to have.




Note You need to log in before you can comment on or make changes to this bug.